Schedule (Template)
8 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getRebootScheduleList | GET | Get reboot schedule template list |
| createRebootSchedule | POST | Create new reboot schedule template |
| deleteRebootSchedule | DELETE | Delete reboot schedule template |
| modifyRebootSchedule | PUT | Modify reboot schedule template |
| getPortScheduleListTemplate | GET | Get port Schedule list |
| addPortScheduleTemplate | POST | Create a new Port Schedule Template |
| removePortScheduleTemplate | DELETE | Delete Port Schedule Template |
| modifyPortScheduleTemplate | PUT | Modify a Port Schedule Template |
getRebootScheduleList
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/reboot-schedules
Get reboot schedule template list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getRebootScheduleList",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get reboot schedule list template
The interface requires one of the permissions:
Global Site Template Manager View Only
createRebootSchedule
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/reboot-schedules
Create new reboot schedule template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema RebootScheduleTemplateOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Reboot Schedule name should contain 1 to 128 characters. |
status | boolean | yes | Reboot Schedule status. |
time | RebootScheduleTimeOpenApiVO | yes | (RebootScheduleTimeOpenApiVO not expanded; call omada_get_schema "RebootScheduleTimeOpenApiVO") |
// omada_call_operation
{
"operationId": "createRebootSchedule",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new reboot schedule template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1004 - Invalid request type.
-33006 - This name already exists in this site.
-34501 - The number of RebootSchedules has reached the limit.
deleteRebootSchedule
DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/reboot-schedules/{id}
Delete reboot schedule template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
id | path | string | yes | Reboot Schedule Template ID |
// omada_call_operation
{
"operationId": "deleteRebootSchedule",
"params": {
"siteTemplateId": "<siteTemplateId>",
"id": "<id>"
}
}Details, permissions and error codes
Delete reboot schedule template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1004 - Invalid request type.
-33000 - This site does not exist.
modifyRebootSchedule
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/reboot-schedules/{id}
Modify reboot schedule template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
id | path | string | yes | Reboot Schedule Template ID |
Request body — application/json (required) — schema RebootScheduleTemplateOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Reboot Schedule name should contain 1 to 128 characters. |
status | boolean | yes | Reboot Schedule status. |
time | RebootScheduleTimeOpenApiVO | yes | (RebootScheduleTimeOpenApiVO not expanded; call omada_get_schema "RebootScheduleTimeOpenApiVO") |
// omada_call_operation
{
"operationId": "modifyRebootSchedule",
"params": {
"siteTemplateId": "<siteTemplateId>",
"id": "<id>"
},
"body": "{...}"
}Details, permissions and error codes
Modify reboot schedule template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1004 - Invalid request type.
-33006 - This name already exists in this site.
getPortScheduleListTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/service/port-schedules
Get port Schedule list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getPortScheduleListTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get port Schedule list with the given omadacId and siteTemplateId.
The interface requires one of the permissions:
Global Site Template Manager View Only
addPortScheduleTemplate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/service/port-schedules
Create a new Port Schedule Template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema PortOrPoeScheduleOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Port Schedule Name should contain 1 to 128 characters. |
scheduleType | integer | yes | Port Schedule Type should be 0 or 1. |
status | boolean | yes | Port Schedule Status. |
turnOnTime | string | yes | Time Range ID, cannot be empty. |
portsMap | object | yes | Key:Mac("String"), Value:Set of Ports("Integer") |
nextExecute | integer | no | Show PoE Schedule next execution timestamp. |
notInDst | boolean | no | When notInDst is true, not displayed in DST. |
// omada_call_operation
{
"operationId": "addPortScheduleTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Create a new Port Schedule Template with the given params.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.
removePortScheduleTemplate
DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/service/port-schedules/{type}/{portScheduleId}
Delete Port Schedule Template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
type | path | string | yes | Port Schedule Type. 0: POE schedule; 1: Enable Schedule. |
portScheduleId | path | string | yes | Port Schedule Template ID |
// omada_call_operation
{
"operationId": "removePortScheduleTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"type": "<type>",
"portScheduleId": "<portScheduleId>"
}
}Details, permissions and error codes
Delete Port Schedule Template with the given params.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.
modifyPortScheduleTemplate
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/service/port-schedules/{type}/{portScheduleId}
Modify a Port Schedule Template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
type | path | string | yes | Port Schedule Type. 0: POE schedule; 1: Enable Schedule. |
portScheduleId | path | string | yes | Port Schedule Template ID |
Request body — application/json (required) — schema PortOrPoeScheduleOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Port Schedule Name should contain 1 to 128 characters. |
scheduleType | integer | yes | Port Schedule Type should be 0 or 1. |
status | boolean | yes | Port Schedule Status. |
turnOnTime | string | yes | Time Range ID, cannot be empty. |
portsMap | object | yes | Key:Mac("String"), Value:Set of Ports("Integer") |
nextExecute | integer | no | Show PoE Schedule next execution timestamp. |
notInDst | boolean | no | When notInDst is true, not displayed in DST. |
// omada_call_operation
{
"operationId": "modifyPortScheduleTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"type": "<type>",
"portScheduleId": "<portScheduleId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify a Port Schedule Template with the given params.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.